Subject: Re: a.out binaries under NetBSD 1.6
To: None <>
From: Ben Harris <>
List: port-arm
Date: 09/11/2002 18:57:18
On Wed, 11 Sep 2002, Stefan Wuerthner wrote:

> how can I run my old a.out binaries under NetBSD 1.6/Netwinder?
> I tried to compile a new kernel with the option COMPAT_AOUT, but the compile
> run failed with the following error:

COMPAT_AOUT is an evil hack that causes a.out binaries to have a warped
view of the filesystem.  You probably just want EXEC_AOUT (which should
be in all netwinder kernels anyway -- what happens when you try to run
your a.out binaries?).

If you really want COMPAT_AOUT, I think files.arm needs to have the
following line added:

include "compat/aout/files.aout"

Ben Harris                                                   <>
Portmaster, NetBSD/acorn26           <URL:>